# Generated by rust2rpm
%bcond_with check
%global debug_package %{nil}

%global crate metadeps

Name:           rust-%{crate}
Version:        1.1.2
Release:        8%{?dist}
Summary:        Run pkg-config from declarative dependencies in Cargo.toml

# Upstream license specification: MIT/Apache-2.0
# https://github.com/joshtriplett/metadeps/issues/8
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/metadeps
Source:         %{crates_source}
# Initial patched metadata
# * Bump error-chain to 0.11, https://github.com/joshtriplett/metadeps/pull/12
# * Bump toml to 0.4, https://github.com/joshtriplett/metadeps/pull/4
# * Bump lazy_static to 1, https://github.com/joshtriplett/metadeps/pull/6
Patch0:         metadeps-fix-metadata.diff
# Make it work with toml v0.4
Patch1:         0001-Bump-toml-to-0.4.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(error-chain) >= 0.12.0 with crate(error-chain) < 0.13.0)
BuildRequires:  (crate(pkg-config/default) >= 0.3.8 with crate(pkg-config/default) < 0.4.0)
BuildRequires:  (crate(toml/default) >= 0.4.0 with crate(toml/default) < 0.5.0)
%if %{with check}
BuildRequires:  (crate(lazy_static/default) >= 1.0.0 with crate(lazy_static/default) < 2.0.0)
%endif

%global _description \
Run pkg-config from declarative dependencies in Cargo.toml.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# Treating warnings as errors is bad idea
sed -i -e 's/#!\[deny(missing_docs, warnings)\]/#!\[deny(missing_docs)\]/' src/lib.rs
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# https://github.com/joshtriplett/metadeps/issues/7
%cargo_test || :
%endif

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Mar 09 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.2-7
- Adapt to new packaging

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jul 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.2-5
- Bump error-chain to 0.12

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.2-2
- Rebuild for rust-packaging v5

* Fri Jan 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.2-1
- Initial package
